Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.sqisign
Class Dim2Id2IsoClapotis.Precomp

    java.lang.Object
      org.bouncycastle.pqc.crypto.sqisign.Dim2Id2IsoClapotis.Precomp

Enclosing class:
  org.bouncycastle.pqc.crypto.sqisign.Dim2Id2IsoClapotis

public static final class Dim2Id2IsoClapotis.Precomp
extends java.lang.Object

Precomp bundle that `Dim2Id2IsoClapotis.idealToIsogenyClapotis(org.bouncycastle.pqc.crypto.sqisign.QuatLeftIdeal, org.bouncycastle.pqc.crypto.sqisign.QuatAlg, org.bouncycastle.pqc.crypto.sqisign.Dim2Id2IsoClapotis.Precomp, java.security.SecureRandom)` consumes. Keeps the level-specific data out of the function signature; build one for each level you support.

Field Summary
`org.bouncycastle.pqc.crypto.sqisign.QuatLeftIdeal[]` | `alternateConnectingIdeals` for .
`org.bouncycastle.pqc.crypto.sqisign.QuatLeftIdeal[]` | `connectingIdeals` for — note 0-indexed, but only index >= 1 is dereferenced.
`org.bouncycastle.pqc.crypto.sqisign.CurveWithEndomorphismRing[]` | `curvesWithEndomorphisms` for .
`org.bouncycastle.pqc.crypto.sqisign.GfField` | `field` GF(p²) dispatch for this level (lvl1/3/5).
`int` | `finduvBoxSize` `PrecompLvl1#FINDUV_BOX_SIZE`.
`int` | `finduvCubeSize` `PrecompLvl1#FINDUV_CUBE_SIZE`.
`int` | `hdExtraTorsion` `PrecompLvl1#HD_EXTRA_TORSION`.
`int` | `numAlternateOrders` Number of alternate orders excluding the standard O₀ (lvl1: 6).
`int` | `quatRepresBoundInput` `PrecompLvl1#QUAT_REPRES_BOUND_INPUT`.
`org.bouncycastle.pqc.crypto.sqisign.QuatRepresentIntegerParams[]` | `representIntegerParams` for each alternate order, indexed 0..numAlternateOrders.
`int` | `torsionEvenPower` `PrecompLvl1#TORSION_EVEN_POWER`.
`org.bouncycastle.pqc.crypto.sqisign.Ibz` | `torsionPlus2Power` `PrecompLvl1#TORSION_PLUS_2POWER`.

Constructor Summary
`Dim2Id2IsoClapotis.Precomp(org.bouncycastle.pqc.crypto.sqisign.CurveWithEndomorphismRing[] curvesWithEndomorphisms, org.bouncycastle.pqc.crypto.sqisign.QuatLeftIdeal[] alternateConnectingIdeals, org.bouncycastle.pqc.crypto.sqisign.QuatLeftIdeal[] connectingIdeals, org.bouncycastle.pqc.crypto.sqisign.QuatRepresentIntegerParams[] representIntegerParams, int numAlternateOrders, int torsionEvenPower, int hdExtraTorsion, int quatRepresBoundInput, int finduvBoxSize, int finduvCubeSize, org.bouncycastle.pqc.crypto.sqisign.Ibz torsionPlus2Power)` lvl1 convenience constructor: defaults to .
`Dim2Id2IsoClapotis.Precomp(org.bouncycastle.pqc.crypto.sqisign.GfField field, org.bouncycastle.pqc.crypto.sqisign.CurveWithEndomorphismRing[] curvesWithEndomorphisms, org.bouncycastle.pqc.crypto.sqisign.QuatLeftIdeal[] alternateConnectingIdeals, org.bouncycastle.pqc.crypto.sqisign.QuatLeftIdeal[] connectingIdeals, org.bouncycastle.pqc.crypto.sqisign.QuatRepresentIntegerParams[] representIntegerParams, int numAlternateOrders, int torsionEvenPower, int hdExtraTorsion, int quatRepresBoundInput, int finduvBoxSize, int finduvCubeSize, org.bouncycastle.pqc.crypto.sqisign.Ibz torsionPlus2Power)` Full constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### field

    public final org.bouncycastle.pqc.crypto.sqisign.GfField field

  GF(p²) dispatch for this level (lvl1/3/5).

### curvesWithEndomorphisms

    public final org.bouncycastle.pqc.crypto.sqisign.CurveWithEndomorphismRing[] curvesWithEndomorphisms

  for .

### alternateConnectingIdeals

    public final org.bouncycastle.pqc.crypto.sqisign.QuatLeftIdeal[] alternateConnectingIdeals

  for .

### connectingIdeals

    public final org.bouncycastle.pqc.crypto.sqisign.QuatLeftIdeal[] connectingIdeals

  for — note 0-indexed, but only index >= 1 is dereferenced.

### representIntegerParams

    public final org.bouncycastle.pqc.crypto.sqisign.QuatRepresentIntegerParams[] representIntegerParams

  for each alternate order, indexed 0..numAlternateOrders.

### numAlternateOrders

    public final int numAlternateOrders

  Number of alternate orders excluding the standard O₀ (lvl1: 6).

### torsionEvenPower

    public final int torsionEvenPower

  `PrecompLvl1#TORSION_EVEN_POWER`.

### hdExtraTorsion

    public final int hdExtraTorsion

  `PrecompLvl1#HD_EXTRA_TORSION`.

### quatRepresBoundInput

    public final int quatRepresBoundInput

  `PrecompLvl1#QUAT_REPRES_BOUND_INPUT`.

### finduvBoxSize

    public final int finduvBoxSize

  `PrecompLvl1#FINDUV_BOX_SIZE`.

### finduvCubeSize

    public final int finduvCubeSize

  `PrecompLvl1#FINDUV_CUBE_SIZE`.

### torsionPlus2Power

    public final org.bouncycastle.pqc.crypto.sqisign.Ibz torsionPlus2Power

  `PrecompLvl1#TORSION_PLUS_2POWER`.

Constructor Detail

### Dim2Id2IsoClapotis.Precomp

    public Dim2Id2IsoClapotis.Precomp(org.bouncycastle.pqc.crypto.sqisign.GfField field,
                                      org.bouncycastle.pqc.crypto.sqisign.CurveWithEndomorphismRing[] curvesWithEndomorphisms,
                                      org.bouncycastle.pqc.crypto.sqisign.QuatLeftIdeal[] alternateConnectingIdeals,
                                      org.bouncycastle.pqc.crypto.sqisign.QuatLeftIdeal[] connectingIdeals,
                                      org.bouncycastle.pqc.crypto.sqisign.QuatRepresentIntegerParams[] representIntegerParams,
                                      int numAlternateOrders,
                                      int torsionEvenPower,
                                      int hdExtraTorsion,
                                      int quatRepresBoundInput,
                                      int finduvBoxSize,
                                      int finduvCubeSize,
                                      org.bouncycastle.pqc.crypto.sqisign.Ibz torsionPlus2Power)

  Full constructor. The parameter carries the level dispatch; lvl1 callers can use the 11-arg overload that defaults to `GfFieldLvl1#INSTANCE`.

### Dim2Id2IsoClapotis.Precomp

    public Dim2Id2IsoClapotis.Precomp(org.bouncycastle.pqc.crypto.sqisign.CurveWithEndomorphismRing[] curvesWithEndomorphisms,
                                      org.bouncycastle.pqc.crypto.sqisign.QuatLeftIdeal[] alternateConnectingIdeals,
                                      org.bouncycastle.pqc.crypto.sqisign.QuatLeftIdeal[] connectingIdeals,
                                      org.bouncycastle.pqc.crypto.sqisign.QuatRepresentIntegerParams[] representIntegerParams,
                                      int numAlternateOrders,
                                      int torsionEvenPower,
                                      int hdExtraTorsion,
                                      int quatRepresBoundInput,
                                      int finduvBoxSize,
                                      int finduvCubeSize,
                                      org.bouncycastle.pqc.crypto.sqisign.Ibz torsionPlus2Power)

  lvl1 convenience constructor: defaults to .

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD